Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.osgi
Class PersistenceActivator

    java.lang.Object
      org.apache.openjpa.persistence.osgi.PersistenceActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class PersistenceActivator

extends Object
implements org.osgi.framework.BundleActivator

Used to discover/resolve JPA providers in an OSGi environment.

Version:
  $Rev$ $Date$

Field Summary
`static String` | `OSGI_PERSISTENCE_PROVIDER`
`static String` | `PERSISTENCE_PROVIDER`
`static String` | `PERSISTENCE_PROVIDER_ARIES`

Constructor Summary
`PersistenceActivator()`

Method Summary
`static ClassLoader` | `getBundleClassLoader()`
`void` | `start(org.osgi.framework.BundleContext ctx)`
`void` | `stop(org.osgi.framework.BundleContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSISTENCE_PROVIDER_ARIES

    public static final String PERSISTENCE_PROVIDER_ARIES

See Also:
  Constant Field Values

### PERSISTENCE_PROVIDER

    public static final String PERSISTENCE_PROVIDER

### OSGI_PERSISTENCE_PROVIDER

    public static final String OSGI_PERSISTENCE_PROVIDER

Constructor Detail

### PersistenceActivator

    public PersistenceActivator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext ctx)
               throws Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### stop

    public void stop(org.osgi.framework.BundleContext ctx)
              throws Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### getBundleClassLoader

    public static ClassLoader getBundleClassLoader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.